---
title: Create / Update Place
slug: create-update-place
docTags: 
createdAt: 2026-10-08T08:29:29.588Z
---

{
  "id": "ckndlNa9oC5Ss7ZeaI35q",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://dev1.frontu.com//client/api/v2/places",
    "servers": [
      {
        "url": "https://dev1.frontu.com//client/api/v2/places"
      }
    ],
    "name": "Create / Update Place",
    "description": "This enpoint allows to create or update place.\n\nIf you want to update Place using POST method you need to fill information for guid field or systemId field in request body.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "",
          "schema": [
            {
              "name": "scanCode",
              "kind": "required",
              "type": "string",
              "description": ""
            },
            {
              "name": "title",
              "kind": "required",
              "type": "string",
              "description": ""
            },
            {
              "name": "note",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "systemId",
              "kind": "optional",
              "type": "string",
              "description": "Identifier from external system"
            },
            {
              "name": "guid",
              "kind": "optional",
              "type": "string",
              "description": "Identifier from Frontu"
            },
            {
              "name": "deleted",
              "kind": "optional",
              "type": "boolean",
              "description": "<p>Mark if entity is archived (1) or active (0)</p>"
            },
            {
              "name": "workspace",
              "kind": "required",
              "type": "string",
              "description": "GUID or systemId of Workspace"
            },
            {
              "name": "longitude",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "latitude",
              "kind": "optional",
              "type": "string",
              "description": ""
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Value: Bearer {access_token}</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "201",
        "description": "Returned when successful",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "Data contains errors",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "8r03lSCndbhvZNwELNEvB",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://dev1.frontu.com//client/api/v2/places \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"scanCode\": \"\",\n     \"title\": \"\",\n     \"workspace\": \"\"\n     }'"
        },
        {
          "id": "4tf9AUi3Lw2YxHoknXQJP",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"scanCode\": \"\",\n   \"title\": \"\",\n   \"workspace\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev1.frontu.com//client/api/v2/places\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "UJlI1VHbVnXVUQc79YxkP",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev1.frontu.com//client/api/v2/places\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"scanCode\": \"\",\n   \"title\": \"\",\n   \"workspace\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "qwUeKEZnhptxCWwb8ueaH",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev1.frontu.com//client/api/v2/places\"\n\npayload = json.dumps({\n   \"scanCode\": \"\",\n   \"title\": \"\",\n   \"workspace\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "8r03lSCndbhvZNwELNEvB"
    },
    "results": {
      "languages": [
        {
          "id": "nTfhvYURZjs6bfVU6H4Hq",
          "language": "201",
          "code": "// Returned when successful\n"
        },
        {
          "id": "mniVeSDtjLK64Qb9ByjFq",
          "language": "400",
          "code": "// Data contains errors\n"
        }
      ],
      "selectedLanguageId": "nTfhvYURZjs6bfVU6H4Hq"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}